{% extends 'base.html' %}
{% load static %}

{% block meta %}
    <title>Read Forum {{ diskusi.judul }}</title>
    <link rel="stylesheet" href="{% static 'forum/css/styles.css' %}">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.13.0/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/jquery-3.6.0.js"></script>
    <script src="https://code.jquery.com/ui/1.13.0/jquery-ui.js"></script>
    <script type="application/javascript" src="{% static 'forum/js/showReplies.js' %}"></script>
    
{% endblock meta %}

{% block content %}
    <div class="container" id="readForum" style="margin-bottom:110px; overflow-y:auto;">
            <div style="padding-bottom: 20px; padding-top: 20px;">
                <a href="{% url 'forum:forum1' %}" class="back">&lt Back to Forum</a>
            </div>        
        <div class="topdown">

            <div class="topdown insidereadpost center">
                <div class="profile-container text-center">
                    <div class="profile" 
                        {% for warna in colorProfile %}
                            {% if warna.user == diskusi.penulis %} 
                            style="background-color: {{warna.colorHex}};"
                            {% endif %}
                        {% endfor %}>
                        <div class="center inisial">
                            {{ diskusi.penulis|make_list|first|upper }}
                        </div>
                    </div>
                </div> 

                <div class="topdown snippet fontall b">
                    <div style="font-weight: bold; font-size: 20px;" class="text-center">
                        {{ diskusi.judul }} <br>
                    </div>
                    <span class="subJudulPost text-center" >
                        <a href="{% url 'forum:forum2' diskusi.kategori %}" 
                            {% if diskusi.kategori == 'general' %} class="tipe1"
                            {% elif diskusi.kategori == 'covid' %} class="tipe2"
                            {% elif diskusi.kategori == 'drug' %} class="tipe3"
                            {% endif %}>
                            
                            {% if diskusi.kategori == 'general' %} [General Discussion]
                            {% elif diskusi.kategori == 'covid' %} [Covid Info]
                            {% elif diskusi.kategori == 'drug' %} [Drug Info]
                            {% endif %}
                        </a> 
                            by 
                        <a href="{% url 'forum:profil' diskusi.penulis.username %}" class="edit"> 
                            {{ diskusi.penulis }} 
                        </a>  on {{ diskusi.DateTime|date:'d-M-Y H:i' }} WIB  
                        {% if diskusi.penulis == request.user %}           
                            <a href="{% url 'forum:editPost' diskusi.pk %}" class="edit"></br> edit </a> | 
                            <a href="{% url 'forum:confirmDeletePost' diskusi.pk %}" class="edit"> delete </a>
                        {% endif %}
                    </span>
                    <div class='b'>
                        {{ diskusi.isi}}
                    </div>
                </div>
            </div>
            <div class='text-center'>
                <div class="topdown" style="width: 100%;"> 
                        {% if user.is_authenticated %}
                        <h4 class="judulPostInside center" style="width: 100%;">
                        Comment Here
                        </h4>
                        <div class="form">
                            <form method="POST">
                                {% csrf_token %}
                                {{ form.as_p }}
                                <div>
                                    <button type="submit" class="button1" id="bodyButton">Post to Forum</button>
                                </div>
                            </form>
                        </div>
                        {% else %} 
                            <h4 class="judulPostInside center" style="width: 100%;">
                                Please Login to Comment
                            </h4>
                            <div class="leftright center" style="height: 60px;">
                                <a href="{% url 'authentication:Login' %}" class="button1 bodyButton" style="font-size: 26px; width: 200px;">Login</a>
                            </div>
                            <p style="font-size: .9rem; margin-top: .5rem;">
                                Don't have an account?
                                <a class="replybutton" href="{% url 'authentication:SignUp' %}">Register here</a>
                            </p>
                        {% endif %}
                        <div class="komen-container">
                            {% if komen %}
                                {% for k in komen %}
                                    <div class="one-komen-container">
                                        <div class="komen">
                                            <div class="replycomment inside-post-komen">
                                                <div class="profile-container-komen">
                                                    <div class="profile-komen" 
                                                    {% for warna in colorProfile %}
                                                        {% if warna.user == k.penulis %} 
                                                            style="background-color: {{warna.colorHex}};"
                                                        {% endif %}
                                                    {% endfor %}>
                                                        <div class="topdown center inisial-komen">
                                                            {{ k.penulis|make_list|first|upper }}
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="topdown alignitem snippet-komen">
                                                    <div class="leftright headerKomen">
                                                        <div class="judulKomen">
                                                            <a href="{% url 'forum:profil' k.penulis.username %}" class="link-normal">{{ k.penulis }}</a>
                                                        </div>
                                                        <span class="subJudulKomen">
                                                            {{ k.DateTime|date:'d-M-Y H:i' }} WIB
                                                            {% if k.penulis == request.user %} | 
                                                                <a href="{% url 'forum:editComment' k.pk %}" class="edit"> edit </a> | 
                                                                <a href="{% url 'forum:confirmDeleteComment' k.pk %}" class="edit"> delete </a>
                                                            {% endif %}
                                                        </span>
                                                    </div>
                                                    <div class="isiKomen b">
                                                        {{ k.isi }}
                                                    </div>
                                                    <div class="replybutton"><a href="{% url 'forum:addReply' k.pk %}" class="replybutton"> Reply </a></div>
                                                </div>
                                            </div>
                                        </div>

                                        {% if k.jumlahReply != '0' %}
                                            <div class="showReplies">
                                                <div class="showRepliesChild1">
                                                    <p class="openCloseReplyP"> View 
                                                        {%if k.jumlahReply == '1'%}{{ k.jumlahReply }} Reply
                                                        {% else %}{{ k.jumlahReply }} Replies
                                                        {%endif%}
                                                    </p> 
                                                </div>
                                                <div class="showRepliesChild2">
                                                    <i class="arrow up" style="margin: 0px 3px 0px 0px;"></i>
                                                    <p class="openCloseReplyP">Close 
                                                        {%if k.jumlahReply == '1'%}{{ k.jumlahReply }} Reply
                                                        {% else %}{{ k.jumlahReply }} Replies
                                                        {%endif%}
                                                    </p>
                                                </div>
                                            </div>
                                        {% endif %}

                                        <div class="reply-container">
                                            {% if reply %}
                                                {% for r in reply %}
                                                    {% if r.komen == k %}
                                                        <div class="reply">
                                                            <div class="leftright inside-post-komen">
                                                                <div class="profile-container-komen">
                                                                    <div class="profile-komen" 
                                                                        {% for warna in colorProfile %}
                                                                            {% if warna.user == k.penulis %} 
                                                                                style="background-color: {{warna.colorHex}};"
                                                                            {% endif %}
                                                                        {% endfor %}>
                                                                        <div class="topdown center inisial-komen">
                                                                            {{ r.penulis|make_list|first|upper }}
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                                <div class="topdown alignitem snippet-komen">
                                                                    <div class="leftright headerKomen">
                                                                        <div class="judulKomen">
                                                                            <a href="{% url 'forum:profil' r.penulis.username %}" class="link-normal">{{ r.penulis }}</a>
                                                                        </div>
                                                                        <span class="subJudulKomen">
                                                                            {{ r.DateTime|date:'d-M-Y H:i' }} WIB
                                                                            {% if r.penulis == request.user %} | 
                                                                                <a href="{% url 'forum:editReply' k.pk r.pk %}" class="edit"> edit </a> |
                                                                                <a href="{% url 'forum:confirmDeleteReply' r.pk %}" class="edit"> delete </a>
                                                                            {% endif %}
                                                                        </span>
                                                                    </div>
                                                                    <div class="isiKomen b">
                                                                        {{ r.isi |linebreaks}}
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    {% endif %}
                                                {% endfor %}
                                            {% endif %}
                                        </div>
                                    </div>
                                {% endfor %}
                            {% endif %}
                        </div>
                </div>
            </div>
        </div>
    </div>
{% endblock content %}